Bug 1023876 - dependency problems on upgrade to texlive-2013-2.20131019_r31948
dependency problems on upgrade to texlive-2013-2.20131019_r31948
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 04:02 EDT by Stijn Hoop
Modified: 2014-05-16 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: texlive-2013-4.20131226_r32488.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 16:58:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stijn Hoop 2013-10-28 04:02:05 EDT
Description of problem:

Cannot upgrade to the newest texlive-2013 ( FEDORA-2013-19673 )

Version-Release number of selected component (if applicable):

texlive-2013-2.20131019_r31948.fc18.x86_64

How reproducible:

Always

Steps to Reproduce:
1. yum update

Actual results:

[TUE\shoop@pclin281] <~> sudo yum update                    
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package texlive-stex.noarch 3:svn29803.1.4-0.1.fc18 will be updated
---> Package texlive-stex.noarch 3:svn29803.1.4-2.fc18 will be an update
--> Processing Dependency: perl(LaTeXML::Util::Pathname) for package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch
--> Processing Dependency: perl(LaTeXML::Package) for package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch
--> Processing Dependency: perl(LaTeXML::Global) for package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch
--> Processing Dependency: perl(LaTeXML::Document) for package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch
--> Finished Dependency Resolution
Error: Package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch (updates-testing)
           Requires: perl(LaTeXML::Util::Pathname)
Error: Package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch (updates-testing)
           Requires: perl(LaTeXML::Global)
Error: Package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch (updates-testing)
           Requires: perl(LaTeXML::Package)
Error: Package: 3:texlive-stex-svn29803.1.4-2.fc18.noarch (updates-testing)
           Requires: perl(LaTeXML::Document)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

A working update.
Comment 1 Fedora End Of Life 2013-12-21 09:43:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Update System 2013-12-28 11:28:20 EST
texlive-2013-4.20131226_r32488.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-4.20131226_r32488.fc20
Comment 3 Fedora Update System 2013-12-30 00:05:58 EST
Package texlive-2013-4.20131226_r32488.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-4.20131226_r32488.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-24101/texlive-2013-4.20131226_r32488.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-01-02 16:58:30 EST
texlive-2013-4.20131226_r32488.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.